## Font Model

Font Model — Font data model

## Functions

FontManagerFontModel * | font_manager_font_model_new ()

## Properties

JsonArray * | source-array | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_FONT_MODEL
enum | FontManagerFontModelColumn
#define | FONT_MANAGER_TYPE_FONT_MODEL_COLUMN
| FontManagerFontModel

## Object Hierarchy

        GEnum
        ╰── FontManagerFontModelColumn
        GObject
        ╰── FontManagerFontModel

## Implemented Interfaces

FontManagerFontModel implements GListModel, GtkTreeModel, GtkTreeDragSource and GtkTreeDragDest.

## Includes

    #include <font-manager-font-model.h>

## Description

Minimal implementation which wraps the JsonArray returned by `font_manager_sort_json_font_listing()`.

This model provides read-only access to available FontManagerFamily objects.

## Functions

### font_manager_font_model_new ()

    FontManagerFontModel *
    font_manager_font_model_new (void);

Returns : (transfer full) : A newly created FontManagerFontModel. Free the returned object using ``g_object_unref()``.

## Types and Values

### FONT_MANAGER_TYPE_FONT_MODEL

    #define FONT_MANAGER_TYPE_FONT_MODEL (font_manager_font_model_get_type())

### enum FontManagerFontModelColumn

Index of available columns in FontManagerFontModel.

#### Members

FONT_MANAGER_FONT_MODEL_OBJECT | FontManagerFont |
FONT_MANAGER_FONT_MODEL_NAME | Object name |
FONT_MANAGER_FONT_MODEL_DESCRIPTION | Font description |
FONT_MANAGER_FONT_MODEL_COUNT | Number of variations for family objects |
FONT_MANAGER_FONT_MODEL_N_COLUMNS | Number of columns in this model |

### FONT_MANAGER_TYPE_FONT_MODEL_COLUMN

    #define FONT_MANAGER_TYPE_FONT_MODEL_COLUMN (font_manager_font_model_column_get_type ())

### FontManagerFontModel

    typedef struct _FontManagerFontModel FontManagerFontModel;

## Property Details

### The `“source-array”` property

      “source-array”             JsonArray *

JsonArray source.

Owner: FontManagerFontModel

Flags: Read / Write

## See Also

FontManagerFamily FontManagerFont